// Score.h
// Project: Cribbage
// Stephan Wacker
// 93-06-20

typedef enum {
    SC_FIFTEEN,
    SC_PAIR,
    SC_PAIR_ROYAL,
    SC_DBL_PAIR_ROYAL,
    SC_RUN,
    SC_DBL_RUN,
    SC_TRIPLE_RUN,
    SC_QUADRUPLE_RUN,
    SC_4RUN,
    SC_DBL_4RUN,
    SC_5RUN,
    SC_4FLUSH,
    SC_5FLUSH,
    SC_NOBS
} SCORE_TAG;

#define ZERO_STRING	"\xB1" // en-dash

#import <appkit/appkit.h>

@interface Score: Object
{
    // Objects for player's scoring.
    id		total;
    id		values;
    
    id		player;
}

- window;

- doScoring: (char *) what for: aPlayer;

- disablePanel;
- enablePanel: (const char *) title;

- add: sender;
- cancel: sender;
- ok: sender;
- explain: sender;
- help: sender;

- addTotal: (int) value;
- clear;


@end // Score
